#!/bin/sh
# This is /root/Startup/zfirstboot.sh        ETP May 2019
# It's purpose is to suppress the startup welcome/internet alarm script at first boot and so prevent
# the internet alarm being triggered before the wireless or ethernet static IP has been set up.
#
FLAG="/var/log/firstboot2.log"
if [ ! -f $FLAG ]; then
   echo "This is the first boot"
   cp -P /root/ex_startup/startup_welcome_alarm.sh /root/Startup
   #the next line creates an empty file so it won't run the next boot
   touch $FLAG
else
   echo "Not the first boot, so do nothing"
fi 